require ('map')
require ('player1')
require ('animation')

function love.load()
	love.graphics.setDefaultFilter("nearest")
	mapLoad(levels.level1)
	charLoad()
	p1Load(archer)
	collision =  {
		x = {0,0},
		y = {0,0}
	}
end

function love.draw(dt)
	mapDraw()
	p1Draw()
	love.graphics.print("FPS: "..love.timer.getFPS(), 10, 20)
end

function love.update(dt)
	p1Update(dt)
	animUpdate(dt)
end

function love.mousereleased(x,y,key)
	if key == "r" and p1.delays.dash.active == true then
		p1.spd = 2
		p1.delays.dash.recharge = true
	end
end

function love.keypressed(key)
	if key == "t" then
		print ""
		print "Test"
	end
	if key == "escape" then
		love.event.quit()
	end
end

--[[ TO DO
]]--
